<?xml version="1.0" encoding="UTF-8"?><!-- Published by JAX-WS RI at http://jax-ws.dev.java.net. RI's version is JAX-WS RI 2.1.2-hudson-182-RC1. --><!-- Generated by JAX-WS RI at http://jax-ws.dev.java.net. RI's version is JAX-WS RI 2.1.2-hudson-182-RC1. --><definitions xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://DocumentManagementService.webservice.ellectra.org/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://schemas.xmlsoap.org/wsdl/" targetNamespace="http://DocumentManagementService.webservice.ellectra.org/" name="DocumentManagementService">
<wsp:UsingPolicy></wsp:UsingPolicy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_queryDocumentFindById_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns1:ATAlwaysCapability xmlns:ns1="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns1:ATAlwaysCapability>
<ns2:ATAssertion xmlns:ns3="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns2="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns3:Optional="true" wsp:Optional="true"></ns2:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_editDocument_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns4:ATAlwaysCapability xmlns:ns4="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns4:ATAlwaysCapability>
<ns5:ATAssertion xmlns:ns6="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns5="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns6:Optional="true" wsp:Optional="true"></ns5:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_createDocument_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns7:ATAlwaysCapability xmlns:ns7="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns7:ATAlwaysCapability>
<ns8:ATAssertion xmlns:ns9="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns8="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns9:Optional="true" wsp:Optional="true"></ns8:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_queryDocumentFindByDocumentType_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns10:ATAlwaysCapability xmlns:ns10="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns10:ATAlwaysCapability>
<ns11:ATAssertion xmlns:ns12="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns11="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns12:Optional="true" wsp:Optional="true"></ns11:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_updateEntity_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns13:ATAlwaysCapability xmlns:ns13="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns13:ATAlwaysCapability>
<ns14:ATAssertion xmlns:ns15="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns14="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns15:Optional="true" wsp:Optional="true"></ns14:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_queryDocumentFindByTimeStamp_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns16:ATAlwaysCapability xmlns:ns16="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns16:ATAlwaysCapability>
<ns17:ATAssertion xmlns:ns18="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns17="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns18:Optional="true" wsp:Optional="true"></ns17:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_createSimpleDocument_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns19:ATAlwaysCapability xmlns:ns19="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns19:ATAlwaysCapability>
<ns20:ATAssertion xmlns:ns21="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns20="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns21:Optional="true" wsp:Optional="true"></ns20:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_queryDocumentFindAll_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns22:ATAlwaysCapability xmlns:ns22="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns22:ATAlwaysCapability>
<ns23:ATAssertion xmlns:ns24="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns23="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns24:Optional="true" wsp:Optional="true"></ns23:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_deleteDocument_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns25:ATAlwaysCapability xmlns:ns25="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns25:ATAlwaysCapability>
<ns26:ATAssertion xmlns:ns27="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns26="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns27:Optional="true" wsp:Optional="true"></ns26:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_queryDocumentFindByDescription_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns28:ATAlwaysCapability xmlns:ns28="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns28:ATAlwaysCapability>
<ns29:ATAssertion xmlns:ns30="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns29="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns30:Optional="true" wsp:Optional="true"></ns29:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_queryDocumentFindByLanguage_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns31:ATAlwaysCapability xmlns:ns31="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns31:ATAlwaysCapability>
<ns32:ATAssertion xmlns:ns33="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns32="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns33:Optional="true" wsp:Optional="true"></ns32:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_queryDocumentFindByFilename_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns34:ATAlwaysCapability xmlns:ns34="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns34:ATAlwaysCapability>
<ns35:ATAssertion xmlns:ns36="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns35="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns36:Optional="true" wsp:Optional="true"></ns35:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_queryDocumentFindByDocumentStatus_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns37:ATAlwaysCapability xmlns:ns37="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns37:ATAlwaysCapability>
<ns38:ATAssertion xmlns:ns39="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns38="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns39:Optional="true" wsp:Optional="true"></ns38:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="DocumentManagementPortBinding_queryDocumentFindByMimeType_WSAT_Policy">
<wsp:ExactlyOne>
<wsp:All>
<ns40:ATAlwaysCapability xmlns:ns40="http://schemas.xmlsoap.org/ws/2004/10/wsat" wsp:Optional="false"></ns40:ATAlwaysCapability>
<ns41:ATAssertion xmlns:ns42="http://schemas.xmlsoap.org/ws/2002/12/policy" xmlns:ns41="http://schemas.xmlsoap.org/ws/2004/10/wsat" ns42:Optional="true" wsp:Optional="true"></ns41:ATAssertion>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<types>
<xsd:schema>
<xsd:import namespace="http://DocumentManagementService.webservice.ellectra.org/" schemaLocation="DocumentManagement_xsd_1.xsd"></xsd:import>
</xsd:schema>
</types>
<message name="createDocument">
<part name="parameters" element="tns:createDocument"></part>
</message>
<message name="createDocumentResponse">
<part name="parameters" element="tns:createDocumentResponse"></part>
</message>
<message name="updateEntity">
<part name="parameters" element="tns:updateEntity"></part>
</message>
<message name="updateEntityResponse">
<part name="parameters" element="tns:updateEntityResponse"></part>
</message>
<message name="deleteDocument">
<part name="parameters" element="tns:deleteDocument"></part>
</message>
<message name="deleteDocumentResponse">
<part name="parameters" element="tns:deleteDocumentResponse"></part>
</message>
<message name="queryDocumentFindAll">
<part name="parameters" element="tns:queryDocumentFindAll"></part>
</message>
<message name="queryDocumentFindAllResponse">
<part name="parameters" element="tns:queryDocumentFindAllResponse"></part>
</message>
<message name="queryDocumentFindById">
<part name="parameters" element="tns:queryDocumentFindById"></part>
</message>
<message name="queryDocumentFindByIdResponse">
<part name="parameters" element="tns:queryDocumentFindByIdResponse"></part>
</message>
<message name="queryDocumentFindByDocumentType">
<part name="parameters" element="tns:queryDocumentFindByDocumentType"></part>
</message>
<message name="queryDocumentFindByDocumentTypeResponse">
<part name="parameters" element="tns:queryDocumentFindByDocumentTypeResponse"></part>
</message>
<message name="queryDocumentFindByDocumentStatus">
<part name="parameters" element="tns:queryDocumentFindByDocumentStatus"></part>
</message>
<message name="queryDocumentFindByDocumentStatusResponse">
<part name="parameters" element="tns:queryDocumentFindByDocumentStatusResponse"></part>
</message>
<message name="queryDocumentFindByDescription">
<part name="parameters" element="tns:queryDocumentFindByDescription"></part>
</message>
<message name="queryDocumentFindByDescriptionResponse">
<part name="parameters" element="tns:queryDocumentFindByDescriptionResponse"></part>
</message>
<message name="queryDocumentFindByFilename">
<part name="parameters" element="tns:queryDocumentFindByFilename"></part>
</message>
<message name="queryDocumentFindByFilenameResponse">
<part name="parameters" element="tns:queryDocumentFindByFilenameResponse"></part>
</message>
<message name="queryDocumentFindByLanguage">
<part name="parameters" element="tns:queryDocumentFindByLanguage"></part>
</message>
<message name="queryDocumentFindByLanguageResponse">
<part name="parameters" element="tns:queryDocumentFindByLanguageResponse"></part>
</message>
<message name="queryDocumentFindByMimeType">
<part name="parameters" element="tns:queryDocumentFindByMimeType"></part>
</message>
<message name="queryDocumentFindByMimeTypeResponse">
<part name="parameters" element="tns:queryDocumentFindByMimeTypeResponse"></part>
</message>
<message name="queryDocumentFindByTimeStamp">
<part name="parameters" element="tns:queryDocumentFindByTimeStamp"></part>
</message>
<message name="queryDocumentFindByTimeStampResponse">
<part name="parameters" element="tns:queryDocumentFindByTimeStampResponse"></part>
</message>
<message name="editDocument">
<part name="parameters" element="tns:editDocument"></part>
</message>
<message name="editDocumentResponse">
<part name="parameters" element="tns:editDocumentResponse"></part>
</message>
<message name="createSimpleDocument">
<part name="parameters" element="tns:createSimpleDocument"></part>
</message>
<message name="createSimpleDocumentResponse">
<part name="parameters" element="tns:createSimpleDocumentResponse"></part>
</message>
<portType name="DocumentManagement">
<operation name="createDocument">
<input message="tns:createDocument"></input>
<output message="tns:createDocumentResponse"></output>
</operation>
<operation name="updateEntity">
<input message="tns:updateEntity"></input>
<output message="tns:updateEntityResponse"></output>
</operation>
<operation name="deleteDocument">
<input message="tns:deleteDocument"></input>
<output message="tns:deleteDocumentResponse"></output>
</operation>
<operation name="queryDocumentFindAll">
<input message="tns:queryDocumentFindAll"></input>
<output message="tns:queryDocumentFindAllResponse"></output>
</operation>
<operation name="queryDocumentFindById">
<input message="tns:queryDocumentFindById"></input>
<output message="tns:queryDocumentFindByIdResponse"></output>
</operation>
<operation name="queryDocumentFindByDocumentType">
<input message="tns:queryDocumentFindByDocumentType"></input>
<output message="tns:queryDocumentFindByDocumentTypeResponse"></output>
</operation>
<operation name="queryDocumentFindByDocumentStatus">
<input message="tns:queryDocumentFindByDocumentStatus"></input>
<output message="tns:queryDocumentFindByDocumentStatusResponse"></output>
</operation>
<operation name="queryDocumentFindByDescription">
<input message="tns:queryDocumentFindByDescription"></input>
<output message="tns:queryDocumentFindByDescriptionResponse"></output>
</operation>
<operation name="queryDocumentFindByFilename">
<input message="tns:queryDocumentFindByFilename"></input>
<output message="tns:queryDocumentFindByFilenameResponse"></output>
</operation>
<operation name="queryDocumentFindByLanguage">
<input message="tns:queryDocumentFindByLanguage"></input>
<output message="tns:queryDocumentFindByLanguageResponse"></output>
</operation>
<operation name="queryDocumentFindByMimeType">
<input message="tns:queryDocumentFindByMimeType"></input>
<output message="tns:queryDocumentFindByMimeTypeResponse"></output>
</operation>
<operation name="queryDocumentFindByTimeStamp">
<input message="tns:queryDocumentFindByTimeStamp"></input>
<output message="tns:queryDocumentFindByTimeStampResponse"></output>
</operation>
<operation name="editDocument">
<input message="tns:editDocument"></input>
<output message="tns:editDocumentResponse"></output>
</operation>
<operation name="createSimpleDocument">
<input message="tns:createSimpleDocument"></input>
<output message="tns:createSimpleDocumentResponse"></output>
</operation>
</portType>
<binding name="DocumentManagementPortBinding" type="tns:DocumentManagement">
<soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"></soap:binding>
<operation name="createDocument">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_createDocument_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="updateEntity">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_updateEntity_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="deleteDocument">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_deleteDocument_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="queryDocumentFindAll">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_queryDocumentFindAll_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="queryDocumentFindById">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_queryDocumentFindById_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="queryDocumentFindByDocumentType">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_queryDocumentFindByDocumentType_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="queryDocumentFindByDocumentStatus">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_queryDocumentFindByDocumentStatus_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="queryDocumentFindByDescription">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_queryDocumentFindByDescription_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="queryDocumentFindByFilename">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_queryDocumentFindByFilename_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="queryDocumentFindByLanguage">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_queryDocumentFindByLanguage_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="queryDocumentFindByMimeType">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_queryDocumentFindByMimeType_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="queryDocumentFindByTimeStamp">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_queryDocumentFindByTimeStamp_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="editDocument">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_editDocument_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
<operation name="createSimpleDocument">
<wsp:PolicyReference URI="#DocumentManagementPortBinding_createSimpleDocument_WSAT_Policy"></wsp:PolicyReference>
<soap:operation soapAction=""></soap:operation>
<input>
<soap:body use="literal"></soap:body>
</input>
<output>
<soap:body use="literal"></soap:body>
</output>
</operation>
</binding>
<service name="DocumentManagementService">
<port name="DocumentManagementPort" binding="tns:DocumentManagementPortBinding">
<soap:address location="http://localhost:8080/DocumentManagementService/DocumentManagement"></soap:address>
</port>
</service>
</definitions>